Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jini.start
Class SharedActivationPolicyPermission

    java.lang.Object
      java.security.Permission
          com.sun.jini.start.SharedActivationPolicyPermission

All Implemented Interfaces:
  Guard, Serializable

public final class SharedActivationPolicyPermission
extends Permission
implements Serializable

`Permission` class used by the service starter package. This class takes a policy string argument that follows the matching semantics defined by `FilePermission`. The `ActivateWrapper` class explicitly checks to see if the service's import codebase has been granted access to service's associated policy file in the shared VM's policy.

An example grant is:

>      grant codebase "file:install_dir/lib/fiddler.jar" {
>          permission com.sun.jini.start.SharedActivationPolicyPermission
>              policy_dir${/}policy.fiddler";
>      };

This grant allows services using `install_dir/lib/fiddler.jar` for their import codebase to use `policy_dir${/}policy.fiddler` for their policy file, where install_dir is the installation directory of the starter kit and policy_dir is the pathname to the directory containing the policy file.

See Also:
  Serialized Form

Constructor Summary
`SharedActivationPolicyPermission(String policy)` Constructor that creates a `SharedActivationPolicyPermission` with the specified name.
`SharedActivationPolicyPermission(String policy, String action)` Constructor that creates a `SharedActivationPolicyPermission` with the specified name.

Method Summary
`boolean` | `equals(Object obj)` Two instances are equal if they have the same name.
`String` | `getActions()`
`int` | `hashCode()`
`boolean` | `implies(Permission p)`
`PermissionCollection` | `newPermissionCollection()`

Methods inherited from class java.security.Permission
`checkGuard, getName, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SharedActivationPolicyPermission

    public SharedActivationPolicyPermission(String policy)

  Constructor that creates a `SharedActivationPolicyPermission` with the specified name. Delegates `policy` to supertype.

### SharedActivationPolicyPermission

    public SharedActivationPolicyPermission(String policy,
                                            String action)

  Constructor that creates a `SharedActivationPolicyPermission` with the specified name. This constructor exists for use by the `Policy` object to instantiate new Permission objects. The `action` argument is currently ignored.

Method Detail

### implies

    public boolean implies(Permission p)

### equals

    public boolean equals(Object obj)

  Two instances are equal if they have the same name.

### hashCode

    public int hashCode()

### getActions

    public String getActions()

### newPermissionCollection

    public PermissionCollection newPermissionCollection()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved